Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Solucionado (ver solução)

Problemas de Versão Antigas com Atuais - ReactJS

Olá a todos,

Comecei a fazer o curso de vocês e tive diversos problemas de versão no projeto por conta da versão do React que está sendo utilizada e do Node. Por exemplo, o arquivo do create-react-app atual gera por padrão o ESLint, que faz uma varredura no código e anula comportamentos que não seguem as boas práticas de código. No caso, vocês sugerem para utilizar o purecss.io, que gera o HTML e o CSS, porém o HTML que é gerado não seguem essas boas práticas e não achei como solucionar, enfim...

Para prosseguir eu baixei o projeto do professor que está no padrão mais antigo para conseguir continuar com o curso, mas creio que seja um ponto a melhorar e atualizar o curso com as versões mais atuais do Node e do React.

Obrigado pela atenção!

3 respostas
solução

Oi, Eduardo, tudo bem?

De fato está desatualizado. Mas temos cursos atuais de React com o mesmo conteúdo dado nesse que você fez, porém mais atual, segue: https://cursos.alura.com.br/course/react-componentes-reutilizaveis , https://cursos.alura.com.br/course/react-validacao-rotas-api Eles ainda não estão na formação, pois ainda não saiu a parte 3. Assim que sair serã substituidos.

Espero ter te ajudado!

Que ótimo Laís, fico feliz em saber dessa notícia haha.

Então vai mais uma dica, já que tem essa opção mais atualizada, acho que seria interessante colocar no título curso algo como (atualizado/novas versões), para quem está iniciando, sempre tenta pegar o primeiro. :)

Vou fazer esse segundo, muito obrigado!

Oi, Eduardo!

Nossa, ótima dica! Vou sugerir sim :} E caso eu tenha te ajudado e puder marcar como solucionada, poderá ajudar outros alunos com dúvida parecida!

Bons estudos :}